Index: branch/Coccallotto/Emb_App.tws
===================================================================
--- branch/Coccallotto/Emb_App.tws	(revision 272)
+++ branch/Coccallotto/Emb_App.tws	(revision 273)
@@ -8,12 +8,16 @@
 [BREAKPOINTS]
 [OPEN_WORKSPACE_FILES]
 "E:\tp_info6_2018_Coccallotto\bsp\periph.c" 
+"E:\tp_info6_2018_Coccallotto\bsp\uart0.c" 
 "E:\tp_info6_2018_Coccallotto\Emb_App\crt0mr.a30" 
+"E:\tp_info6_2018_Coccallotto\Emb_App\Debug\mr308.inc" 
 "E:\tp_info6_2018_Coccallotto\Emb_App\programme_principal_etud.c" 
 [WORKSPACE_FILE_STATES]
-"E:\tp_info6_2018_Coccallotto\Emb_App\crt0mr.a30" 0 0 1596 539 0 1 
-"E:\tp_info6_2018_Coccallotto\Emb_App\programme_principal_etud.c" -8 -30 1596 539 1 0 
+"E:\tp_info6_2018_Coccallotto\Emb_App\Debug\mr308.inc" 75 75 1430 351 0 3 
+"E:\tp_info6_2018_Coccallotto\Emb_App\crt0mr.a30" -8 -30 1596 539 1 1 
+"E:\tp_info6_2018_Coccallotto\Emb_App\programme_principal_etud.c" 0 0 1596 539 0 0 
 "E:\tp_info6_2018_Coccallotto\bsp\periph.c" 50 50 1430 351 0 2 
+"E:\tp_info6_2018_Coccallotto\bsp\uart0.c" 100 100 1430 351 0 4 
 [LOADED_PROJECTS]
 "EmbM32C87App" 
 [END]
Index: branch/Coccallotto/Emb_App/SessionM32C_E8a_system.hsf
===================================================================
--- branch/Coccallotto/Emb_App/SessionM32C_E8a_system.hsf	(revision 272)
+++ branch/Coccallotto/Emb_App/SessionM32C_E8a_system.hsf	(revision 273)
@@ -141,7 +141,7 @@
 "{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWndInstanceKey0" "{WK_00000001_PDMR}EmbM32C87AppSessionM32C_E8a_system" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_EVAL_DENORMAL_MODE" "0" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_EVAL_ROUND_MODE" "0" 
-"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_0" "0000000000000044" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_0" "0000000000004044" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_1" "0000000000000020" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_10" "0000000000000000" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_11" "0000000000000000" 
@@ -149,12 +149,12 @@
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_13" "0000000000000000" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_14" "0000000000000000" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_15" "0000000000000512" 
-"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_16" "0000000000FF0577" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_16" "0000000000FF0584" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_17" "0000000000FFF800" 
-"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_18" "00000000000009D4" 
-"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_19" "00000000000007F6" 
-"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_2" "0000000000000000" 
-"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_20" "0000000000000044" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_18" "0000000000000BDA" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_19" "000000000000080A" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_2" "0000000000000002" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_20" "0000000000004044" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_21" "0000000000000000" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_22" "0000000000000000" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_23" "0000000000000000" 
@@ -173,7 +173,7 @@
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_35" "0000000000000000" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_4" "0000000000000008" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_5" "0000000000000000" 
-"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_6" "00000000000009F2" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_6" "0000000000000C06" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_7" "0000000000000512" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_8" "0000000000000000" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_9" "0000000000000000" 
@@ -205,11 +205,17 @@
 "{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd0ColWidth2" "120" 
 "{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd0ColWidth3" "200" 
 "{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd0ECX_WATCH" "c,buff,n,rx,flag," 
-"{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd0ECX_WATCH_ITEM0000" "alpha, 1, 0, P, Col, Hex, MA" 
+"{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd0ECX_WATCH_ITEM0000" "trajectoire, 1, 0, P, Col, Hex, MA" 
 "{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd0ECX_WATCH_ITEM0000_SCOPE" "Current Scope," 
-"{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd0ECX_WATCH_ITEM0001" "commande, 1, 0, P, Col, Hex, MA" 
+"{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd0ECX_WATCH_ITEM0001" "distance, 1, 0, P, Col, Hex, MA" 
 "{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd0ECX_WATCH_ITEM0001_SCOPE" "Current Scope," 
-"{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd0ECX_WATCH_ITEMCnt" "2" 
+"{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd0ECX_WATCH_ITEM0002" "dismur, 1, 0, P, Col, Hex, MA" 
+"{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd0ECX_WATCH_ITEM0002_SCOPE" "Current Scope," 
+"{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd0ECX_WATCH_ITEM0003" "alpha, 1, 0, P, Col, Hex, MA" 
+"{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd0ECX_WATCH_ITEM0003_SCOPE" "Global," 
+"{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd0ECX_WATCH_ITEM0004" "reception, 1, 0, P, Col, Hex, MA" 
+"{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd0ECX_WATCH_ITEM0004_SCOPE" "Current Scope," 
+"{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd0ECX_WATCH_ITEMCnt" "5" 
 "{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd1ColWidth0" "120" 
 "{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd1ColWidth1" "150" 
 "{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd1ColWidth12" "200" 
@@ -279,7 +285,7 @@
 0 
 [WINDOW_POSITION_STATE_DATA_VD1]
 "Help" "TOOLBAR 0" 59419 2 4 "0.00" 0 0 0 0 0 17 0 "" "0.0" 
-"{WK_00000001_CmdLine}" "WINDOW" 59422 0 2 "0.09" 365 0 0 350 200 17 0 "32771|32772|32778|<<separator>>|32773|32774|<<separator>>|32820|<<separator>>|32801|32824" "0.0" 
+"{WK_00000001_CmdLine}" "WINDOW" 59422 0 2 "0.08" 365 0 0 350 200 17 0 "32771|32772|32778|<<separator>>|32773|32774|<<separator>>|32820|<<separator>>|32801|32824" "0.0" 
 "{WK_00000001_DISASSEMBLY}" "WINDOW" 0 0 0 "0.00" 0 -4 -30 948 486 9 0 "" "0.0" 
 "{WK_00000001_EVENT}EmbM32C87AppSessionM32C_E8a_system" "WINDOW" 59422 0 0 "0.11" 365 0 0 350 200 18 0 "32774|32775|32777|<<separator>>|32780|<<separator>>" "0.0" 
 "{WK_00000001_MEMORY}EmbM32C87AppSessionM32C_E8a_system" "WINDOW" 59422 0 1 "0.23" 365 2 -1 350 200 2065 0 "42202|42203|42204|42233|<<separator>>|42206|42205|42230|42229|42207|<<separator>>|42208|42209|42210|49076|42228|42227|<<separator>>|42231|42232|42234|42235|<<separator>>|42211|<<separator>>|32796|32797" "0.0" 
@@ -311,8 +317,10 @@
 [WINDOW_POSITION_STATE_DATA_VD3]
 [WINDOW_POSITION_STATE_DATA_VD4]
 [WINDOW_Z_ORDER]
+"E:\tp_info6_2018_Coccallotto\Emb_App\crt0mr.a30" 
 "E:\tp_info6_2018_Coccallotto\Emb_App\programme_principal_etud.c" 
-"E:\tp_info6_2018_Coccallotto\Emb_App\crt0mr.a30" 
+"E:\tp_info6_2018_Coccallotto\bsp\uart0.c" 
+"E:\tp_info6_2018_Coccallotto\Emb_App\Debug\mr308.inc" 
 "E:\tp_info6_2018_Coccallotto\bsp\periph.c" 
 [TARGET_NAME]
 "M32C E8a SYSTEM" "" 0 
@@ -360,5 +368,5 @@
 [FLASH_DETAILS]
 "" 0 0 "" 0 "" 0 0 "" 0 0 0 0 0 0 0 "" "" "" "" "" 
 [BREAKPOINTS]
-"d:\profs\tp_info14_travail\tp_info14\emb_app\programme_principal_etud.c" 95 90036416 1 "{00000000-0000-0000-C000-000000000046}" "" 
+"d:\profs\tp_info14_travail\tp_info14\emb_app\programme_principal_etud.c" 95 89716912 1 "{00000000-0000-0000-C000-000000000046}" "" 
 [END]
Index: branch/Coccallotto/Emb_App/crt0mr.a30
===================================================================
--- branch/Coccallotto/Emb_App/crt0mr.a30	(revision 272)
+++ branch/Coccallotto/Emb_App/crt0mr.a30	(revision 273)
@@ -97,7 +97,7 @@
 ; after reset,this program will start
 ;-----------------------------------------------------------------
 __SYS_INITIAL:
-	LDC	#__Sys_Sp,ISP	; set initial ISP
+LDC	#__Sys_Sp,ISP	; set initial ISP
 
 	MOV.B	#2,0AH
 	MOV.B	#00,PMOD		; Set Processor Mode Register
Index: branch/Coccallotto/Emb_App/programme_principal_etud.c
===================================================================
--- branch/Coccallotto/Emb_App/programme_principal_etud.c	(revision 272)
+++ branch/Coccallotto/Emb_App/programme_principal_etud.c	(revision 273)
@@ -129,6 +129,8 @@
 short reception;
 float kroues;
 float ktourelle;
+short valeurterrain;
+short valeurpiste;
  			//distance mesurer par le capteur que l'on garde en constante ici
 CanFrame comm;
 CanFrame requete, reponse;
@@ -136,10 +138,11 @@
 	
 void acqtourelle(void);
 void acqroues(void);
-void directionroues(void);
+void directionroues(void);
+void valcapt(void);
 void main()
 {	
-	dismur=0x02af; 			//distance mesurer par le capteur que l'on garde en constante ici
+	dismur=700; 			//distance mesurer par le capteur que l'on garde en constante ici
 	commande=450;			//commande de la valeur de la tourelle
 	kroues=1;				//correction pour les roues de 5;
 	ktourelle=1.2;			//correction pour la tourelle de 10;
@@ -146,8 +149,10 @@
 	
 
 	
-	vitesse=45;				//commande de la vitesse des roues
-	
+	vitesse=30;				//commande de la vitesse des roues
+
+
+	valeurterrain= 0;
 	ports_mcu();
     lcd_init();
 	periph_init();
@@ -167,13 +172,28 @@
 		UINT flag;
 		
 		acqtourelle();
-	
+				
 		acqroues();
 		
 		directionroues();
-			
+		
+		valcapt();
+			switch (valeurterrain){
+			case 0x6208:
+			vitesse=45;
+			kroues=0;
+			break;
+			case 0x761C:
+			{
+			vitesse=10;
+			kroues=2;
+			}
+			default:
+			vitesse=30;
+			kroues=1;
+		}
 		dly_tsk(10);
-	
+		
     }
 
 }
@@ -209,12 +229,13 @@
 	snd_dtq (CanTx,requete.msg); 
 	//rcv_dtq (CanRx,&reponse.msg); 
 	distance=(periph[ADDR('U')].val);
-		
-	if (distance>0x0500){
+	
+	if ((distance>900) || (distance<-900)){
 		distance=dismur;
 	}
 	else{
 		trajectoire=(kroues*( distance-dismur));	//asservisement pour les roues
+
 	}	
 }
 void directionroues(void)
@@ -227,8 +248,24 @@
 	comm.data.id='V'; 						//commande de la vitesse des roues
 	comm.data.rtr=0; 
 	comm.data.val=vitesse;
-	snd_dtq (CanTx,comm.msg);	
-	if(distance<0x0200){
-		vitesse=vitesse/3;
-	}
+	snd_dtq (CanTx,comm.msg);	
+}
+
+void valcapt(void)
+{
+
+	requete.data.id='C'; 					//numero de bande
+	requete.data.rtr=1;
+	snd_dtq (CanTx,requete.msg); 
+	//rcv_dtq (CanRx,&reponse.msg); 
+
+	valeurterrain=(periph[ADDR('C')].val);
+	
+	requete.data.id='M'; 					//numero de piste
+	requete.data.rtr=1;
+	snd_dtq (CanTx,requete.msg); 
+	//rcv_dtq (CanRx,&reponse.msg); 
+	valeurpiste=(periph[ADDR('M')].val);
+	
+	
 }
\ No newline at end of file